Loading...
Searching...
No Matches
disk.h File Reference
`#include <stdio.h>`
`#include "const.h"`
`#include "struct.h"`
`#include <string.h>`
Include dependency graph for disk.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

disk | create_disk ()
| Créer un fichier "disk" de taille MAX_BYTES_PER_BLOC * MAX_BLOCS, renvoi ce disque.
disk | open_disk (char *filename)
| Si un fichier filename existe, alors on le lit et le stocke en mémoire.

## Function Documentation

## create_disk()

disk create_disk | ( |  | ) |

Créer un fichier "disk" de taille MAX_BYTES_PER_BLOC * MAX_BLOCS, renvoi ce disque.

Returns
  Le disque créé

## open_disk()

disk open_disk | ( | char * | filename | ) |

Si un fichier filename existe, alors on le lit et le stocke en mémoire.

Parameters

  char | *filename Le nom du fichier à lire

Returns
  Le disque lu